export const AxisLeft = ({ yScale, yLabelOffset }) =>
  yScale.domain().map((tickValue, i) => (
    <g key={tickValue} className="axis">
      <text
        x={-yLabelOffset}
        y={yScale(tickValue)}
        dy={yScale.bandwidth() / 1.6}
        textAnchor="end"
      >
        {tickValue}
      </text>
    </g>
  ));