import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/waseem-medhat/30d08fc971cee2ac340d71ac4df11af3/raw/top10pop.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  const row = (d) => {
    d.pop = +d.pop;
    return d;
  };

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
